#!/usr/bin/env python3
from twisted.web import proxy, http
from twisted.internet import reactor
from twisted.python import log
import sys
log.startLogging(sys.stdout)

class ProxyFactory(http.HTTPFactory):
	protocol = proxy.Proxy

reactor.listenTCP(8080, ProxyFactory())
reactor.run()

# configure eac to use any freedb server but
# enable proxy server for http access,
# 127.0.0.1 port 8080
#
# to run this script, paste the following in a terminal:
# [ -d ~/pe/ve.freedbproxy ] && . ~/pe/ve.freedbproxy/bin/activate || { python3 -m venv ~/pe/ve.freedbproxy && . ~/pe/ve.freedbproxy/bin/activate; }; pip install twisted; ./eac-freedb-fix.py

